extractr docs
Finance

Get ticker news

GET
/finance/news

Recent news articles mentioning a ticker, with source, timestamp and sentiment.

Costs 2 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

symbol*string
Length1 <= length <= 12
limit?integer
Range1 <= value <= 25
Default10

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/finance/news?symbol=AAPL"
{  "symbol": "string",  "articles": [    {      "id": "string",      "headline": "string",      "summary": "string",      "source": "Reuters",      "url": "http://example.com",      "published_at": "2019-08-24T14:15:22Z",      "sentiment": "bullish"    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}